%define name pekwm
%define version 0.1.11
%define release %mkrel 2

Summary:        Pek Window Manager
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv2
Group:          Graphical desktop/Other
URL:            http://pekwm.org/trac
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:         http://pekwm.org/files/pekwm-%{version}.tar.bz2
BuildRequires:  gcc-c++ XFree86-devel pcre-devel libpng-devel libjpeg-devel
BuildRequires:  freetype2-devel
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version

%description
The Pek Window Manager is written by Claes Nästen, the code is
based on the aewm++ window manager, but it has evolved enough that
it no longer resembles aewm++ at all. It has a much expanded
feature-set, including window grouping (similar to ion, pwm, or
fluxbox), autoproperties, xinerama, keygrabber that supports
keychains, and much more.

- Lightweight and Unobtrusive, a window manager shouldn't be
  noticed.
- Very configurable, we all work and think in different ways. 
- Automatic properties, for all the lazy people, make things appear
  as they should when starting applications. 
- Chainable Keygrabber, usability for everyone.


%prep
%setup

%build

%configure2_5x \
       --enable-xinerama \
       --sysconfdir=%{_sysconfdir}/X11
%{make}

%install
%makeinstall_std

mkdir -p %buildroot%_datadir/xsessions
cat > %buildroot%_datadir/xsessions/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=XSession
Exec=start%{name}
TryExec=start%{name}
Name=pekwm
EOF

# session file
install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/30%{name} << EOF
NAME=%{name}
EXEC=%{_bindir}/start%{name}
DESC=%{name} window manager
SCRIPT:
exec %{_bindir}/start%{name}
EOF

# startfile
cat > $RPM_BUILD_ROOT%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

chmod 755 $RPM_BUILD_ROOT%{_bindir}/start%{name}


%clean
rm -rf %{buildroot}

%post
%{make_session}

%postun
%{make_session}



%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS LICENSE
%config(noreplace) %{_sysconfdir}/X11/%{name}
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/30%{name}
%{_bindir}/pekwm
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/xsessions/%{name}.desktop
%{_bindir}/start%{name}

%changelog
* Fri Oct 16 2009 Texstar <texstar at gmail.com> 0.11-2pclos2010
- add session file for KDM

* Fri Oct 16 2009 slick50 <lxgator@gmail.com> 0.1.11-1pclos2010
- initial pkg
